From: Geert.Uytterhoeven@thomas.kotnet.org
Date: Mon, 19 May 1997 21:42:16 +0200 (MET DST)
To: Linux/m68k <linux-m68k@phil.uni-sb.de>
Subject: L68K: Amisound bug in 2.1.38
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>


Don't put __init() around non-init functions, or your system will crash on
the first beep.

In other words: now 2.1.3[89] works fine!

--- linux-2.1.39/arch/m68k/amiga/amisound.c.orig	Sun May 18 23:08:51 1997
+++ linux-2.1.39/arch/m68k/amiga/amisound.c	Mon May 19 20:30:45 1997
@@ -10,7 +10,6 @@
 
 #include <linux/sched.h>
 #include <linux/timer.h>
-#include <linux/init.h>
 
 #include <asm/system.h>
 #include <asm/amigahw.h>
@@ -40,7 +39,7 @@
 
 static u_long clock_constant;
 
-__initfunc(static void init_sound(void))
+static void init_sound(void)
 {
 	snd_data = amiga_chip_alloc(sizeof(sine_data));
 	if (!snd_data) {

Groetjes,

						Geert

--
Geert Uytterhoeven                   Geert.Uytterhoeven@thomas.kotnet.org
Linux/m68k on Amiga, Wavelets        http://www.thomas.kotnet.org/~geert/
KotNET@Thomas Network Administration -- Make you bed part of Cyberspace!!



